<?php

namespace addons\kouming_domain\controller;

use addons\kouming_domain\lib\Helper;
use app\admin\controller\PluginAdminBaseController;

class BaseController extends PluginAdminBaseController
{
    # 配置
    public $config = [];

    public function initialize()
    {
        parent::initialize();
        $aid = cmf_get_current_admin_id() ?? 0;
        if (!$aid) {
            return Helper::message(1, "未登录");
            exit();
        }
        $this->aid = $aid;
        $this->config = Helper::config();
    }
}