<?php

namespace addons\kouming_domain\controller\clientarea;

use addons\kouming_domain\lib\Helper;
use app\home\controller\PluginHomeBaseController;

class BaseController extends PluginHomeBaseController
{
    # 配置
    public $config = [];

    public function initialize()
    {
        parent::initialize();
        $uid = $this->request->param('uid') ?? 0;
        if (!$uid) {
            return exit(Helper::message(1, "未登录"));
        }
        $this->uid = $uid;
        $this->config = Helper::config();
        if (isset($this->config["auth_use"]) and $this->config["auth_use"] == "1") {
            if (!Helper::isAuth($this->uid)) {
                $this->assign('message', "未实名，请先进行实名认证");
                return exit($this->fetch('/message'));
            }
        }
    }
}