<!-- 引入 layui.css -->
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/css/layui.css">
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/extend/common.css">
<section class="admin-main">
  <div class="container-fluid">
    <div class="page-container">
      <div class="card">
        <div class="card-body">
          <div class="card-title row">
            <div class="pl-4 pr-4">{$Title}</div>
          </div>
          <div class="row mb-4">
            <div class="col-sm-4">
              <div class="card">
                <div class="card-body text-center">
                  <h2 class="money green">...</h2>
                  <h5>可用余额</h5>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-body text-center">
                  <h2 class="freeze red">...</h2>
                  <h5>冻结</h5>
                </div>
              </div>
            </div>
          </div>
          <hr/>
          <div class="tab-content mt-4">
            <div class="table-body">
              <form class="form layui-form" onkeydown="if(event.keyCode==13){return false;}">
                <div class="form-group row">
                  <label class="require">强制实名</label>
                  <div class="col-sm-4">
                    <input type="radio" name="auth_use" value="1" lay-filter="type" title="是" {if $config['auth_use']=="1" }checked{/if}>
                    <input type="radio" name="auth_use" value="0" lay-filter="type" title="否" {if $config['auth_use']=="0" }checked{/if}>
                    <span style="display: block;font-size: 12px">
                      是否必须客户实名后才可以注册和管理域名
                    </span>
                  </div>
                </div>
                <div class="form-group row">
                  <label class="require">用户ID</label>
                  <div class="col-sm-4">
                    <input type="text" lay-verify="required" class="form-control" name="user_id" value="{$config['user_id']}" autocomplete="off"/>
                  </div>
                </div>
                <div class="form-group row">
                  <label class="require">Api Key</label>
                  <div class="col-sm-4">
                    <input type="password" lay-verify="required" class="form-control" name="api_key" value="{$config['api_key']}" autocomplete="off"/>
                  </div>
                </div>
                <div class="form-group row">
                  <label></label>
                  <div class="col-sm-4">
                    <button type="button" class="btn btn-primary w-md" lay-submit lay-filter="submit">保存更改</button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- 引入 layui.js -->
<script src="/plugins/addons/kouming_domain/template/public/layui.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/common.js"></script>
<script>
    layui.use(['form'], function () {
        var form = layui.form;
        // 提交事件
        form.on('submit(submit)', function (data) {
            var field = data.field;
            submitAjax($(this), '{:shd_addon_url('KoumingDomain://Api/config?method=action')}', field);
            return false;
        });
        //获取账户信息
        ajax('', '', '{:shd_addon_url('KoumingDomain://Api/config?method=get_account')}', '', 'post', 50000, true, 'application/x-www-form-urlencoded',
            function (data) {
          $(".money").html(data.data.money);
          $(".freeze").html(data.data.freeze);
        });
    });
</script>