<!-- 引入 layui.css -->
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/css/layui.css">
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/extend/common.css">
<section class="admin-main">
  <div class="container-fluid">
    <div class="page-container">
      <div class="card">
        <div class="card-body">
          <div class="card-title row">
            <div class="pl-4 pr-4">{$Title}</div>
          </div>
          <form class="layui-form" onkeydown="if(event.keyCode==13){return false;}">
            <div class="table-header">
              <div class="table-tools">
                <label>用户</label>
                <input type="text" name="user" class="form-control" placeholder="email">
                <label>管理员</label>
                <input type="text" name="admin" class="form-control" placeholder="username">
                <label>IP</label>
                <input type="text" name="ip" class="form-control" placeholder="">
                <label>状态</label>
                <select name="status" class="form-control" lay-ignore>
                  <option value="">全部</option>
                  <option value="success">成功</option>
                  <option value="failure">失败</option>
                </select>
                <label>描述</label>
                <input type="text" name="remark" class="form-control" placeholder="输入关键字">
                <button class="btn btn-primary w-xs" lay-submit lay-filter="table-search"><i class="fas fa-search"></i> 搜索</button>
              </div>
            </div>
          </form>
          <table class="layui-hide" id="table-data"></table>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- 引入 layui.js -->
<script src="/plugins/addons/kouming_domain/template/public/layui.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/common.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/table.js"></script>
<script>
  layui.use(['form','table'], function () {
    table('{:shd_addon_url('KoumingDomain://Log/operating?method=list')}',[
      {field: 'id', title: 'ID', sort: true, width: 80},
      {field: 'user', title: '用户', width: 200,align:'center'},
      {field: 'admin', title: '管理员', width: 200,align:'center'},
      {field: 'remark', title: '描述'},
      {field: 'date', title: '时间', sort: true, width: 170},
      {field: 'ip', title: 'IP', width: 150},
    {field: 'status', title: '状态', sort: true, width: 80,align:'center'
    ,templet: function(d)
    {
    var status = '<i class="fa fa-check-circle text-success"></i>';
    if(d.status==='failure'){
    status = '<i class="fa fa fa-times-circle text-danger"></i>';
    }
    return status;
  }}
  ]);
  });
</script>