<!-- 引入 layui.css -->
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/css/layui.css">
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/extend/common.css">
<section class="admin-main">
    <div class="page-container">
      <div class="card">
        <div class="card-body">
          <div class="tab-content">
            <blockquote class="layui-elem-quote">
              <form class="form layui-form" onkeydown="if(event.keyCode==13){return false;}" style="margin-left:15px">
                <div class="form-group row">
                  <div class="text-warning">在本站注册，操作更便捷，价格更优惠！</div>
                </div>
                <div class="form-group row">
                  <label>域名</label>
                  <div class="col-sm-4">
                    <input type="text" lay-verify="required|domain"  placeholder="例如：hello.com" class="form-control" name="domain" value="" autocomplete="off"/>
                  </div>
                  <button type="button" class="btn btn-primary w-md" lay-submit lay-filter="submit">查询</button>
                </div>
              </form>
            </blockquote>
            <div class="table-body" style="margin-bottom: 10px;">
              <div class="inquire-result" style="display: none">
                <div class="layui-table-header">
                  <form class="form layui-form" onkeydown="if(event.keyCode==13){return false;}">
                    <table class="layui-table">
                      <colgroup>
                        <col width="120">
                        <col width="300">
                        <col width="100">
                        <col width="100">
                        <col>
                        <col width="80">
                      </colgroup>
                      <thead>
                      <tr>
                        <th>注册</th>
                        <th>域名</th>
                        <th>注册年限</th>
                        <th>价格</th>
                        <th>模板</th>
                        <th>操作</th>
                      </tr>
                      </thead>
                      <tbody>
                      <tr>
                        <td class="status" data-status=""></td>
                        <td class="domain text-info" data-domain="" data-suffix="" data-language=""></td>
                        <td class="year" data-year="">
                          <select name="year" class="form-control" lay-filter="data-year" lay-ignore>
                            <option value="1">1年</option>
                            <option value="2">2年</option>
                            <option value="3">3年</option>
                            <option value="4">4年</option>
                            <option value="5">5年</option>
                            <option value="6">6年</option>
                            <option value="7">7年</option>
                            <option value="8">8年</option>
                            <option value="9">9年</option>
                            <option value="10">10年</option>
                          </select>
                        </td>
                        <td class="price text-warning" data-price=""></td>
                        <td class="template"  data-template="">
                          {if count($domain_template)<1 }
                            你还未创建联系人模板,<a class="text-info" href="{:shd_addon_url('KoumingDomain://Domain/template',[],true)}" target="_blank">请先去创建</a>
                          {else /}
                            <select name="template" class="form-control" lay-filter="data-template" lay-ignore>
                              {foreach $domain_template as $k=>$v }
                                {if $v['type']=="2" }
                                  <option {if $v['default']=="1" }selected{/if} value="{$v['id']}">[{$v['detail']['organization']} - {$v['detail']['email']}] - 组织 {if $v['default']=="1" } -（默认模板）{/if}</option>
                                {else /}
                                  <option {if $v['default']=="1" }selected{/if} value="{$v['id']}">[{$v['detail']['last_name']} {$v['detail']['first_name']} - {$v['detail']['email']}] - 个人 {if $v['default']=="1" } -（默认模板）{/if}</option>
                                {/if}
                              {/foreach}
                            </select>
                          {/if}
                        </td>
                        <td class="register">
                          <span><button type="button" class="btn btn-primary w-md" lay-submit lay-filter="register" data-title="确认提交注册吗？">立即注册</button></span>
                          <span>-</span>
                        </td>
                      </tr>
                      </tbody>
                    </table>
                  </form>
                </div>
                <hr/>
              </div>
            </div>
            <div class="table-body">
              <h3>域名价格</h3>
              <div class="layui-table-header">
                <table class="layui-table">
                  <colgroup>
                    <col width="200">
                    <col width="200">
                    <col>
                  </colgroup>
                  <thead>
                  <tr>
                    <th>域名后缀</th>
                    <th>类型</th>
                    <th>注册</th>
                    <th>续费</th>
                  </tr>
                  </thead>
                  <tbody>
                  {foreach $domain_suffix as $k=>$v }
                    <tr>
                      <td class="text-info">{$v.suffix}</td>
                      <td>
                        {if $v.language=="E" }
                          英文
                        {else /}
                          中文
                        {/if}
                      </td>
                      <td class="text-warning">{$v.create}</td>
                      <td class="text-warning">{$v.renewal}</td>
                    </tr>
                  {/foreach}
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
<!-- 引入 layui.js -->
<script src="/plugins/addons/kouming_domain/template/public/layui.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/common.js"></script>
<script>
  layui.use(['form'], function () {
    var form = layui.form;
    form.verify({
      domain: function (value, item) {
        if (!isDomain(value)) {
          return '域名填写错误';
        }
      },
    });
    // 提交事件
    form.on('submit(submit)', function (data) {
      var field = data.field;
      submitAjax($(this), '{:shd_addon_url('KoumingDomain://Domain/inquire?method=action',[],true)}', field, 'post', 50000, false, '', true, 'application/x-www-form-urlencoded', function (data) {
        var dom = $(".inquire-result");
        if (!data.code) {
          dom.show();
          var language = "英文";
          if (data.data.language === "G") {
            language = "中文";
          }
          dom.find(".register span").hide();
          var status = ' <span class="text-success"><i class="fa fa-check-circle"></i> 可以注册</span>';
          if (data.data.status === "1") {
            status = ' <span class="text-danger"><i class="fa fa-times-circle"></i> 已被注册</span>';
            dom.find(".register span").eq(1).show();
          } else {
            dom.find(".register span").eq(0).show();
          }
          var domain_content = data.data.domain + "（" + language + data.data.suffix + ")";
          dom.find(".domain").attr("data-domain", data.data.domain).attr("data-suffix", data.data.suffix).attr("data-language", data.data.language).html(domain_content);
          dom.find(".price").attr("data-price", data.data.price).html(data.data.price);
          dom.find(".status").attr("data-status", data.data.status).html(status);

          $(".inquire-result [lay-filter='data-year']").on('change', function (e) {
            var selected_year = $(this).find("option:selected").val();
            var unit_price =dom.find(".price").attr("data-price");
            dom.find(".price").html((selected_year*unit_price).toFixed(2));
          });
        } else {
          dom.hide();
        }
      });
      return false;
    });
    form.on('submit(register)', function (data) {
      var dom = $(".inquire-result");
      var field = data.field;
      field["domain"]=dom.find(".domain").attr("data-domain");
      submitAjax($(this), '{:shd_addon_url('KoumingDomain://Domain/register?method=action',[],true)}', field, 'post', 50000, true, $(this).attr("data-title"));
      return false;
    });
  });
</script>