<!-- 引入 layui.css -->
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/css/layui.css">
<link rel="stylesheet" href="/plugins/addons/kouming_domain/template/public/extend/common.css">
<style>
  .create-template label{
    width: 110px;
  }
  .form{
    font-size: 12px;
  }
</style>
<section class="admin-main">
    <div class="page-container">
      <div class="card">
        <div class="card-body">
          <div class="layui-tab layui-tab-brief" lay-filter="layui-tab">
            <ul class="layui-tab-title">
              <li lay-id="create" class="layui-this">创建联系人</li>
              <li lay-id="index">管理联系人</li>
            </ul>
            <div class="layui-tab-content" style="padding-bottom: 0">
              <div class="layui-tab-item layui-show">
                <form id="layui-form" class="form layui-form mt-3 create-template" style="margin-left: 15px;" onkeydown="if(event.keyCode==13){return false;}">
                  <div class="form-group row">
                    <label>类型</label>
                    <div class="col-sm-4">
                      <input type="radio" name="type" value="1" lay-filter="type" title="个人" checked>
                      <input type="radio" name="type" value="2" lay-filter="type" title="组织">
                    </div>
                  </div>
                  <div id="organization" class="form-group row" style="display: none">
                    <label>组织名称（英文）</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="not_chinese|en_organization" name="organization" value="" autocomplete="off"/>
                      <span>例如：XXX International Limited（需包含空格,不填写自动改为个人）</span>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="require">姓名（英文）</label>
                    <div class="col-sm-4">
                      <div class="row">
                        <div class="col-sm-6">
                          <input type="text" class="form-control" lay-verify="required|not_chinese" name="last_name" value="" autocomplete="off"/>
                          <span>姓</span>
                        </div>
                        <div class="col-sm-6">
                          <input type="text" class="form-control" lay-verify="required|not_chinese" name="first_name" value="" autocomplete="off"/>
                          <span>名</span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label>国家代码</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="required|not_chinese" name="country_code" value="CN" autocomplete="off"/>
                      <span>例如：CN</span>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label>国家（英文）</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="required|not_chinese" name="country" value="China" autocomplete="off"/>
                      <span>例如：China</span>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="require">省/市（英文）</label>
                    <div class="col-sm-4">
                      <div class="row">
                        <div class="col-sm-6">
                          <input type="text" class="form-control" lay-verify="required|not_chinese" name="province" value="" autocomplete="off"/>
                          <span>省（例如：shanghai）</span>
                        </div>
                        <div class="col-sm-6">
                          <input type="text" class="form-control" lay-verify="required|not_chinese" name="city" value="" autocomplete="off"/>
                          <span>市（例如：jiading）</span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label>地址（英文）</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="required|not_chinese|address" name="address" value="" autocomplete="off"/>
                      <span>例如：Unit 60, 3 / F, Block A, Yee Sang Industrial Centre（需包含空格）</span>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="require">电话</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="required|telephone|not_chinese" name="phone" value="" autocomplete="off"/>
                      <span>电话格式：[ 手机+86.139-87654321 ] [ 固话+86.010-87654321-0 ]</span>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="require">传真</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="telephone|not_chinese" name="fax" value="" autocomplete="off"/>
                      <span>可选填，留空将与电话保持一致。（格式与电话一致）</span>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="require">邮政编码</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="required|zipcode|not_chinese" name="zip_code" value="100000" autocomplete="off"/>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="require">邮箱</label>
                    <div class="col-sm-4">
                      <input type="text" class="form-control" lay-verify="required|email" name="email" value="" autocomplete="off"/>
                      <span>请认证填写，无效的邮箱地址将来可能会被ICANN封停</span>
                    </div>
                  </div>
                  <div class="form-group row" style="margin-top: 70px;"></div>
                  <div class="row bottom-operation" style="text-align: left">
                    <div class="col-sm-12">
                      <button type="button" class="btn btn-primary w-md" lay-submit lay-filter="submit" style="margin-right: 10px;margin-left: 110px;">提交保存
                      </button>
                      </div>
                  </div>
                </form>
              </div>
              <div class="layui-tab-item">
                <form class="layui-form" onkeydown="if(event.keyCode==13){return false;}">
                  <div class="table-header">
                    <div class="table-tools">
                      <label>关键词</label>
                      <input type="text" name="remark" class="form-control" placeholder="输入关键字">
                      <button class="btn btn-primary w-xs" lay-submit lay-filter="table-search"><i class="fas fa-search"></i> 搜索</button>
                    </div>
                  </div>
                </form>
                <table class="layui-hide" id="table-data"></table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
<!-- 引入 layui.js -->
<script src="/plugins/addons/kouming_domain/template/public/layui.js"></script>
<script src="/plugins/addons/kouming_domain/template/public/extend/common.js"></script>
<script>
  layui.use(['form', 'table'], function () {
table('{:shd_addon_url('KoumingDomain://Domain/template?method=list',[],true)}', [
{field: 'type', title: '类型', sort: true, width: 80,align:'center',templet: function(d){
let types = '<span class="text-success">个人</i>';
if(d.type=='2'){
types = '<span class="text-info">组织</i>';
}
return types;
}
},
{field: 'detail', title: '细节',templet: function(d){
var s = d.detail;
var d=JSON.parse(d.detail);
var organization="";
if(s.type=='2'){organization='组织：'+d.organization+'<br/>'}
return `<span>
`+organization+`
姓名：`+d.last_name+` `+d.first_name+`<br/>
国家代码：`+d.country_code+`<br/>
国家：`+d.country+`<br/>
省/市：`+d.province+` `+d.city+`<br/>
地址：`+d.address+`<br/>
电话：`+d.phone+`<br/>
邮政编码：`+d.zip_code+`<br/>
邮箱：`+d.email+`<br/>
</span>`;
}
},
{field: 'date', title: '添加时间', sort: true, width: 170},
{field: 'default', title: '默认模板', width: 80,align:'center',templet: function(d){
let default_template = '<i class="fa fa-check-circle text-success"></i>';
if(d.default=='0'){
default_template = '-';
}
return default_template;
}
},
{fixed: 'right', title:'操作', width: 180,align:'center',templet: function(d){
if(d.default=='0'){
return `<div class="layui-btn-group">
<a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="default" data-title="设为默认模板" data-url="{:shd_addon_url('KoumingDomain://Domain/template?method=default',[],true)}">设为默认</a>
<a class="layui-btn layui-btn-danger btn-danger layui-btn-xs" lay-event="delete" data-title="删除模板" data-url="{:shd_addon_url('KoumingDomain://Domain/template?method=delete',[],true)}">删除</a>
</div>`;
}else{
return `<a class="layui-btn layui-btn-danger btn-danger layui-btn-xs" lay-event="delete" data-title="删除模板" data-url="{:shd_addon_url('KoumingDomain://Domain/template?method=delete',[],true)}">删除</a>`;
  }
}}
],'height: 270px;')
;
});
  layui.use(['form', 'table','element'], function () {
  var table = layui.table;
  var form = layui.form;
  var element = layui.element;
  //表格按钮
  table.on('tool(table-data)', function (obj) {
    var data = obj.data;
    var title = $(this).attr("data-title");
    var url = $(this).attr("data-url");
    var dom = $(this);
    //默认模板
    if (obj.event === 'default') {
      if (typeof defaultHandle === "function") {
        defaultHandle(data, forms_dom);
      }
      layer.confirm("确认设为默认吗?", {
        title: title,
        btn: ["确定", "取消"]
      }, function (obj) {
        //确认
        layer.close(obj);
        submitAjax(dom, url, data, 'post', 50000, false, '', true, 'application/x-www-form-urlencoded', function (data) {
          if (!data.code) {
            table.reloadData('table-data', {}, true)
          }
        });
      }, function (obj) {
        //取消
        layer.close(obj);
        return false;
      });
    }
  });
  form.on('radio(type)', function (data) {
    if (data.value == "2") {
      $("#organization").show();
    } else {
      $("#organization").hide();
    }
  });
  // 提交事件
  form.on('submit(submit)', function (data) {
    var field = data.field;
    submitAjax($(this), '{:shd_addon_url('KoumingDomain://Domain/template?method=create',[],true)}', field, 'post', 50000, false, '', true, 'application/x-www-form-urlencoded', function (data) {
      if (!data.code) {
       setTimeout(function () {
         element.tabChange('layui-tab', 'index');
         table.reloadData('table-data', {}, true);
       },3000)
      }
    });
    return false;
  });
  });
</script>